part of orm_client;

class EntityScan {
  
  List<_ProxyEntry> _proxies = new List<_ProxyEntry>();
  
  Type entityType;
  Symbol qualifiedName;
  ClassMirror classMirror;
  bool isMutableEntity = true;
  
  void addProxy(String property, Symbol symbol, List<InstanceMirror> metadata) {
    _ProxyEntry entry = new _ProxyEntry(property, symbol, metadata);
    
    _proxies.add(entry);
  }
}

class _ProxyEntry {
  
  final String property;
  final Symbol symbol;
  final List<InstanceMirror> metadata;
  
  Proxy proxy;
  
  _ProxyEntry(this.property, this.symbol, this.metadata);
  
}