part of orm_client;

abstract class Entity {
  
  EntityManager _manager;
  Map _source;
  EntityScan _scan;
  
  //-----------------------------------
  //
  // Operator overloads
  //
  //-----------------------------------
  
  dynamic operator [](String propertyName) {
    Iterable<_ProxyEntry> matchingEntries = _scan._proxies.where(
        (_ProxyEntry entry) => (entry.property == propertyName) 
    );
    
    if (matchingEntries.length > 0) {
      return matchingEntries.first.proxy.value;
    }
    
    return null;
  }
  
  //-----------------------------------
  //
  // Constructor
  //
  //-----------------------------------
  
  Entity() {
    _manager = new EntityManager();
    _scan = _manager.scan(runtimeType);
    
    _manager._initialize(this);
  }
  
}