import 'package:orm_client/orm_client.dart';
import 'package:dart_flex/dart_flex.dart';
import 'orm_domain/orm_domain.dart';

void main() {
  ormInitialize();
  
  EntityManager.host = '127.0.0.1';
  EntityManager.port = '8080';
  
  ormEntityLoad('Employee', where: {'id':1}).then(
      (List<Entity> resultList) {
        resultList.forEach(
            (Employee employee) => print('${employee.name} ${employee.job.name}')
        );
      }
  );
}
