part of orm_domain;

@Ref('entities.mutable_entity')
class MutableEntity extends Entity {

	@Property('insertedBy')
	Proxy<User> _insertedBy;

	User get insertedBy => _insertedBy.value;
	set insertedBy(User value) => _insertedBy.value = value;

	@Property('insertedOn')
	Proxy<DateTime> _insertedOn;

	DateTime get insertedOn => _insertedOn.value;
	set insertedOn(DateTime value) => _insertedOn.value = value;

	@Property('updatedBy')
	Proxy<User> _updatedBy;

	User get updatedBy => _updatedBy.value;
	set updatedBy(User value) => _updatedBy.value = value;

	@Property('updatedOn')
	Proxy<DateTime> _updatedOn;

	DateTime get updatedOn => _updatedOn.value;
	set updatedOn(DateTime value) => _updatedOn.value = value;

	MutableEntity() : super();

}