library orm_domain;

import 'package:orm_client/orm_client.dart';

part 'employee.dart';
part 'immutable_entity.dart';
part 'job.dart';
part 'mutable_entity.dart';
part 'person.dart';
part 'user.dart';

void ormInitialize() {
	EntityManager entityManager = new EntityManager();

	entityManager.scan(Employee);
	entityManager.scan(ImmutableEntity);
	entityManager.scan(Job);
	entityManager.scan(MutableEntity);
	entityManager.scan(Person);
	entityManager.scan(User);
}
