part of orm_domain;

@Ref('entities.person')
class Person extends MutableEntity {

	@Property('id')
	@Id()
	@DefaultValue(0)
	@Immutable()
	Proxy<int> _id;

	int get id => _id.value;
	set id(int value) => _id.value = value;

	@Property('name')
	Proxy<String> _name;

	String get name => _name.value;
	set name(String value) => _name.value = value;

	Person() : super();

}