part of orm_client;

class Ref {
  
  final String path;
  
  const Ref(this.path);
  
  String toString() => path;
  
}

class Property {
  
  final String property;
  
  const Property(this.property);
  
  String toString() => 'property $property';
  
}

class DefaultValue {
  
  final dynamic value;
  
  const DefaultValue(this.value);
  
  String toString() => 'default $value';
  
}

class Transient {
  
  const Transient();
  
  String toString() => 'transient';
  
}

class Id {
  
  const Id();
  
  String toString() => 'id';
  
}

class Immutable {
  
  const Immutable();
  
  String toString() => 'immutable';
  
}

class Lazy {
  
  const Lazy();
  
  String toString() => 'lazy';
  
}

class Annotation {
  
  final int maxStringLength = -1;
  
  const Annotation({int maxStringLength});
}