import 'package:orm_client/orm_client.dart';
import 'package:web_ui/web_ui.dart';

/*exceedingDateOffset 10080
isSelectedVesselCurrentlyOnService false
isScheduleDelayDisplayed true
isProformaDayMatched true
incrementVoyageNumberOnRoutingSwitch false
__type__ com.msc.medlog.mwp.entities.Service
tradeCode ED
isApproved true
isStandardMSCVoyageCoding false
useVoyageLinking true
dailyVesselScheduleAllowedDelay 360
isDeleted false
isInService true
includesAllPortCalls true
repeatWeeks 8
callFrequency 7
requiresMatchingDaysToMergePortCalls true
color ffdab9
laneCode WEC04
inheritsDelay true*/

@Ref('com.msc.medlog.mwp.entities.Service')
class ServicePOCO extends Entity {
  
  @Property('serviceId')
  @Id()
  Proxy<int> _serviceId;
  
  int get id => _serviceId.value;
  set id(int value) => _serviceId.value = value;
  
  @Property('voyageIncrement')
  Proxy<int> _voyageIncrement;
  
  int get voyageIncrement => _voyageIncrement.value;
  set voyageIncrement(int value) => _voyageIncrement.value = value;
  
  @Property('useWeeklyVoyageNumbers')
  Proxy<bool> _useWeeklyVoyageNumbers;
  
  bool get useWeeklyVoyageNumbers => _useWeeklyVoyageNumbers.value;
  set useWeeklyVoyageNumbers(bool value) => _useWeeklyVoyageNumbers.value = value;
  
  @Property('name')
  Proxy<String> _name;
  
  String get name => _name.value;
  set name(String value) => _name.value = value;
  
  ServicePOCO() : super();
  
}

@Ref('orm_client.TestEntity')
class TestEntity extends Entity {
  
  @Property('id')
  @Id()
  Proxy<int> _id;
  
  int get id => _id.value;
  set id(int value) => _id.value = value;
  
  @Property('bar')
  @Transient()
  Proxy<String> _bar;
  
  String get bar => _bar.value;
  set bar(String value) => _bar.value = value;
  
  @Property('foo')
  @DefaultValue('Helo foo!')
  @Annotation(maxStringLength: 10)
  Proxy<String> _foo;
  
  @Observable
  String get foo => _foo.value;
  set foo(String value) => _foo.value = value;
  
  @Property('fooBar')
  @Immutable()
  Proxy<String> _fooBar;
  
  String get fooBar => _fooBar.value;
  set fooBar(String value) => _fooBar.value = value;
  
  /*Proxy<String> _lazyFoo;
  
  @Lazy()
  String get fooBar => ~_fooBar;
  set fooBar(String value) => _fooBar.value = value;*/
  
  TestEntity() : super();
  
}